package ch.std.console;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import ch.std.console.beans.CitiesBean;
import ch.std.console.context.CustomAppContext;
import ch.std.console.jpa.City;

@SpringBootApplication
public class CityConsoleApplication implements CommandLineRunner {

	Logger logger = LoggerFactory.getLogger(CityConsoleApplication.class);

	public static void main(String[] args) {
		SpringApplication.run(CityConsoleApplication.class, args).close();
	}

	@Override
	public void run(String... args) throws Exception {
		CitiesBean.setup();
		List<City> cityList = CustomAppContext.getCurrentContext().getRepositoryContext().getCityRepository().findAll();
		for (City city : cityList) {
			logger.info("city = " + city);
		}
		CitiesBean.teardown();
	}
}
